Package ru.bitel.bgbilling.modules.payonline.common.bean

# Class Rebill

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.payonline.common.bean.Rebill

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Rebill extends IdContractId

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MONTH_PERIODICITY`
  Месячная периодичность платежа
  `static final int`
  `WEEK_PERIODICITY`
  Недельная периодичность платежа

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rebill()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getActivateDate()`
  `int`
  `getDay()`
  `String`
  `getOrderId()`
  `int`
  `getPeriodicity()`
  `String`
  `getRebillAnchor()`
  `BigDecimal`
  `getSumma()`
  Возвращает сумму повторного платежа.
  `void`
  `setActivateDate(Date activateDate)`
  `Rebill`
  `setContractId(int contractId)`
  `void`
  `setDay(int day)`
  `void`
  `setOrderId(String oderId)`
  `void`
  `setPeriodicity(int periodicity)`
  `void`
  `setRebillAnchor(String rebilAnchor)`
  `void`
  `setSumma(BigDecimal summa)`
  Устанаваливает сумму повторного платежа.

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### WEEK_PERIODICITY

    public static final int WEEK_PERIODICITY
    Недельная периодичность платежа
    See Also:
      - Constant Field Values

  - ### MONTH_PERIODICITY

    public static final int MONTH_PERIODICITY
    Месячная периодичность платежа
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Rebill

    public Rebill()

- ## Method Details

  - ### setContractId

    public Rebill setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getSumma

    public BigDecimal getSumma()
    Возвращает сумму повторного платежа.
    Returns:
      summa - сумма

  - ### setSumma

    public void setSumma(BigDecimal summa)
    Устанаваливает сумму повторного платежа.
    Parameters:
      `summa` - - сумма повторного платежа

  - ### getActivateDate

    public Date getActivateDate()

  - ### setActivateDate

    public void setActivateDate(Date activateDate)

  - ### getRebillAnchor

    public String getRebillAnchor()

  - ### setRebillAnchor

    public void setRebillAnchor(String rebilAnchor)

  - ### getOrderId

    public String getOrderId()

  - ### setOrderId

    public void setOrderId(String oderId)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay(int day)

  - ### getPeriodicity

    public int getPeriodicity()

  - ### setPeriodicity

    public void setPeriodicity(int periodicity)